#version 330

in vec2 position;

out vec2 pass_textureCoords;

uniform mat4 transform;

void main(void){
	
	pass_textureCoords = (position + vec2(1, 1))/2;
	
	vec4 screenPosition = transform * vec4(position, 0.0, 1.0);
	
	screenPosition.x = screenPosition.x * 2.0 - 1.0;
	screenPosition.y = screenPosition.y * -2.0 + 1.0;
	gl_Position = screenPosition;
}