
#version 330 core
layout (location = 0) out vec4 out_Color;
layout (location = 1) out vec4 out_BrightColour;
layout (location = 2) out vec4 out_lightColor;

in vec3 textureDir; // direction vector representing a 3D texture coordinate
uniform samplerCube cubemap; // cubemap texture sampler

void main()
{             
    out_Color = texture(cubemap, textureDir);
	out_BrightColour = vec4(0, 0, 0, 1);
	out_lightColor = vec4(0, 0, 0, 1);
}  