#version 330

layout (location = 0) out vec4 out_Color;
layout (location = 1) out vec4 out_BrightColour;
layout (location = 2) out vec4 out_lightColor;

uniform vec4 color;

void main(void){
	
	out_Color = color;
	float brightness = out_Color.r * 0.2126 + out_Color.g * 0.7152 + out_Color.b * 0.0722;
	out_BrightColour = out_Color * brightness;
	out_lightColor = color;
}