#version 330

layout (location = 0) out vec4 out_Color;
layout (location = 1) out vec4 out_BrightColour;
layout (location = 2) out vec4 out_lightColor;


in vec2 textureCoords;

uniform vec4 outColorScale;
uniform vec4 lightColorScale;
uniform sampler2D colorTex;

void main(void){
	
	out_Color = texture(colorTex, textureCoords) * outColorScale;
	out_BrightColour = vec4(0, 0, 0, 1);
	out_lightColor = vec4(lightColorScale.xyz, out_Color.w);

}